<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");
include ("Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100300";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
				////Arrastrando la Variable del Documento
				$AlbOrdEn=$_GET["CveOrden"] or $AlbOrdEn=$_POST["CveOrden"];
				
				////incia Configuramos conexión - Base de Datos de Interfaces
					///$con_BDInt= mysql_connect("localhost","root","");
					///mysql_select_db("wms_interfaces_ibermex", $con_BDInt);
					$con_BDInt= mysql_connect("localhost","wmsInterIber1","@UsuInt_2016");
					mysql_select_db("wms_interfaces_ibermex", $con_BDInt);
				////Termina Configuramos conexión - Base de Datos de Interfaces
				
				////Identificar las Lineas de Conteo
				$sql_DL = mysql_query("select ESTADO_ALBARAN,FECHA_DESCARGA,HORA_DESCARGA,FECHA_EJECUCION,HORA_EJECUCION,USUARIO from confirma_maquila where CVE_CUENTA='$CveCueCR1' AND KALB_C='$AlbOrdEn' LIMIT 0 , 1");
				if (mysql_numrows($sql_DL)==0) {}
				else{
				$registro_DL=mysql_fetch_array($sql_DL);
				}
				if (mysql_numrows($sql_DL)>0)
				{
				$Edo_DL=$registro_DL["ESTADO_ALBARAN"];
				$FDe_DL=$registro_DL["FECHA_DESCARGA"];
				$HDe_DL=$registro_DL["HORA_DESCARGA"];	
				$FEj_DL=$registro_DL["FECHA_EJECUCION"];
				$HEj_DL=$registro_DL["HORA_EJECUCION"];
				$Usu_DL=$registro_DL["USUARIO"];	
				}
				
				////Identificar el estado del Documento
				////if ($Edo_DL<>"CREADO" and $Edo_DL<>"EN CONTEO")
				if ($Edo_DL<>"CREADO")
				{
					echo "<script>alert('$AlbOrdEn,$Edo_DL El Estado de la Orden de Maquila no es apta para este proceso.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=122-ProcesaMaquila.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ //// Inicia If Valiador de Estado de Documento	
				
					////Identificar el Cuerpo de la Confirmación
					$sql_DL2 = mysql_query("select * from confirma_maquila where CVE_CUENTA='$CveCueCR1' AND KALB_C='$AlbOrdEn' AND ESTADO_LINEA='POR PROCESAR' ORDER BY CANXMAQUILAR DESC");
					if (mysql_numrows($sql_DL2)==0) 
					{
						$ValidaTerminacion = "OK";
						echo "<script>alert('Maquila Procesada exitosamente.'); </script>";
					}
					else{
					$registro_DL2=mysql_fetch_array($sql_DL2);
					}
					if (mysql_numrows($sql_DL2)>0)
					{
					
					}
////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<script language='javascript' src="popcalendar.js"></script>
<script src="jquery-1.12.2.min.js"></script>
<SCRIPT>
	$(document).ready(function() {
	//$("#confirmados").bind('keyup mouseup',simul());
	//$("#confirmados").on('keyup change click', simul());
	$(window).keydown(function(event){
    if(event.keyCode == 13) {
      event.preventDefault();
      return false;
    }
  });
});
</SCRIPT>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

<!-- Inicia Función Abre POPUP -->
<script languaje="JavaScript">
function otra_ventana(direccion) {
var ruta=direccion;
var caracteristicas="toolbar=0, location=0, directories=0, resizable=0, scrollbars=yes, height=400, width=600, top=120, left=350";
win=window.open(ruta ,"",caracteristicas);
}
</script>
<script type="text/javascript">
function popup(url,ancho,alto) {
var posicion_x; 
var posicion_y; 
posicion_x=(screen.width/2)-(ancho/2); 
posicion_y=(screen.height/2)-(alto/2); 
window.open(url, "mstech.mx", "width="+ancho+",height="+alto+",menubar=0,toolbar=0,directories=0,scrollbars=yes,resizable=no,left="+posicion_x+",top="+posicion_y+"");
}
</script>
<!-- Termina Función Abre POPUP -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">
<?PHP
include ("MenuEstructura.php");

////incia Configuramos conexión - Base de Datos de Interfaces
					///$con_BDInt= mysql_connect("localhost","root","12345678");
					///mysql_select_db("interfaces_ibermex", $con_BDInt);
					$con_BDInt= mysql_connect("localhost","wmsInterIber1","@UsuInt_2016");
					mysql_select_db("wms_interfaces_ibermex", $con_BDInt);
				////Termina Configuramos conexión - Base de Datos de Interfaces
?>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<div align="center">
  <table width="825" border="0" style="border-collapse: collapse" bgcolor="<?PHP echo $FonTi_Form; ?>">
        <tr>
          <td height="30" colspan="5" align="left"><span class="Clase_TipoLetraTitulos">&nbsp;&nbsp;|| PROCESAMIENTO DE ORDENES DE MAQUILA ||</span></td>
      </tr>
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonSe_Form; ?>"><span class="Estilo8">.</span></td>
        </tr>
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonCi_Form; ?>">.</td>
        </tr>
        <tr>
          <td width="102" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Bodega:</div></td>
        <td width="295" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left"><span class="Clase_TipoLetra">
          <input name="txt_CveBodega" type="text" disabled="disabled" required="required" class="textoINPUT" id="txt_CveBodega" style="background-color:<?PHP echo $CamDe_Form; ?>" onkeypress='return numerico (event)' value="<?PHP echo $CveBodCR1; ?>" size="3"/><input name="txt_NomBodega" type="text" disabled="disabled" class="textoINPUT" id="txt_NomBodega" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $NomBodCR2; ?>" size="25" /></span><input type="button" disabled="disabled" style="WIDTH: 27px; HEIGHT: 20px;text-align:center; font-weight: bold;" value="..." name="...2" onclick="javascript:otra_ventana('5-RegistroUbicacionPOPUP_CUENTAS.php?UsuKP=<?PHP echo $UsuEn; ?>&amp;IdDAcce=<?PHP echo $IDSeEn; ?>&amp;TokenKP=<?PHP echo $TokEn; ?>&amp;CtaSKP=<?PHP echo $CtaSesionEn; ?>&amp;VPN=<?PHP echo $VpnEn; ?>&amp;LT=<?PHP echo $LtEn; ?>')"; />
        </div></td>
        <td width="4" bgcolor="<?PHP echo $FonCi_Form; ?>">&nbsp;</td>
        <td width="101" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Cuenta:</div></td>
        <td width="301" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left"><span class="Clase_TipoLetra">
          <input name="txt_CveCuen" type="text" disabled="disabled" required="required" class="textoINPUT" id="txt_CveCuen" style="background-color:<?PHP echo $CamDe_Form; ?>" onkeypress='return numerico (event)' value="<?PHP echo $CveCueCR1; ?>" size="3"/><input name="txt_NomCuenta" type="text" disabled="disabled" class="textoINPUT" id="txt_NomCuenta" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $CtaSesionEn; ?>" size="25" /></span><input type="button" disabled="disabled" style="WIDTH: 27px; HEIGHT: 20px;text-align:center; font-weight: bold;" value="..." name="...4" onclick="javascript:otra_ventana('5-RegistroUbicacionPOPUP_CUENTAS.php?UsuKP=<?PHP echo $UsuEn; ?>&amp;IdDAcce=<?PHP echo $IDSeEn; ?>&amp;TokenKP=<?PHP echo $TokEn; ?>&amp;CtaSKP=<?PHP echo $CtaSesionEn; ?>&amp;VPN=<?PHP echo $VpnEn; ?>&amp;LT=<?PHP echo $LtEn; ?>')"; />
        </div></td>
        </tr>
        <tr>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;# Orden:</div></td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
            <input name="txt_NoDoc" type="text" class="textoINPUT" id="txt_NoDoc" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $AlbOrdEn; ?>" readonly="readonly"/>
          </div></td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>">&nbsp;</td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Estado Orden:</div></td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
            <input name="txt_NoDoc3" type="text" class="textoINPUT" id="txt_NoDoc3" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $Edo_DL; ?>" readonly="readonly"/>
          </div></td>
        </tr>
        <tr>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Fecha Descarga:</div></td>
        <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
          <input name="txt_NoDoc2" type="text" class="textoINPUT" id="txt_NoDoc2" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $FDe_DL; ?>" readonly="readonly"/>
        </div></td>
        <td bgcolor="<?PHP echo $FonCi_Form; ?>">&nbsp;</td>
        <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Hora Descarga:</div></td>
        <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
          <input name="txt_NoDoc4" type="text" class="textoINPUT" id="txt_NoDoc4" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $HDe_DL; ?>" readonly="readonly"/>
        </div></td>
        </tr>
        <tr>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Fecha Ejecuci&oacute;n:</div></td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
            <input name="txt_EdoDoc" type="text" class="textoINPUT" id="txt_EdoDoc" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $FEj_DL; ?>" readonly="readonly"/>
          </div></td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>">&nbsp;</td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Hora Ejecuci&oacute;n:</div></td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
            <input name="txt_NoDoc5" type="text" class="textoINPUT" id="txt_NoDoc5" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $HEj_DL; ?>" readonly="readonly"/>
          </div></td>
        </tr>
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonCi_Form; ?>"><input name="UsuKP" / type="text" id="UsuKP"  style='visibility:hidden' value="<?PHP echo $UsuEn; ?>" size="3" />
          <input name="TokenKP" / type="text" id="TokenKP"  style='visibility:hidden' value="<?PHP echo $TokEn; ?>" size="3" />
          <input name="IdDAcce" / type="text" id="IdDAcce"  style='visibility:hidden' value="<?PHP echo $IDSeEn; ?>" size="3" />
          <input name="CtaSKP" / type="text" id="CtaSKP"  style='visibility:hidden' value="<?PHP echo $CtaSesionEn; ?>" size="3" />
          <input name="VPN" / type="text" id="VPN"  style='visibility:hidden' value="<?PHP echo $VpnEn; ?>" size="3" />
          <input name="LT" / type="text" id="LT"  style='visibility:hidden' value="<?PHP echo $LtEn; ?>" size="3" /></td>
        </tr>
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonSe_Form; ?>"><?php 
			  if (mysql_numrows($sql_DL2)==2){ECHO "Tipo: Reetiquetado";}else{echo "Tipo: Pack";}
			  ?></td>
        </tr>
      </table>
    <form id="formulario" name="neo" method="post" action="122-ProcesaMaquila3.php">
      <table width="825" border="0" style="border-collapse: collapse" bgcolor="<?PHP echo $FonTi_Form; ?>">
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonCi_Form;?>">.</td></tr>
		<?php
		if (mysql_numrows($sql_DL2)==2){ECHO "<input type='hidden' id='tipo' name='tipo' value='reetiquetados'>";}else{echo "<input type='hidden' id='tipo' name='tipo' value='packs'>";}
		$row = mysql_fetch_array($sql_DL2,MYSQL_ASSOC);
		echo "<input type='hidden' name='albc' value='$row[KALB_C]'>";
		$sql_DL2 = mysql_query("select * from confirma_maquila where CVE_CUENTA='$CveCueCR1' AND KALB_C='$AlbOrdEn' AND ESTADO_LINEA='POR PROCESAR' ORDER BY CANXMAQUILAR DESC");
		$i = 0;
			While($row_BG = mysql_fetch_array($sql_DL2,MYSQL_ASSOC)){
			if($i==0){$alta=$row_BG['CANXMAQUILAR'];}
			echo "<tr><td width='103' bgcolor='$FonCi_Form'><div align='left' class='Clase_TipoLetra'>&nbsp;&nbsp;C&oacute;digo SKU:</div></td>
          <td width='297' bgcolor='$FonCi_Form'><div align='left'><span class='Clase_TipoLetra'>
            <input id='skuprod$i' name='skuprod$i' type='text' required='required' class='textoINPUT' id='txt_Sku' style='background-color:$CamDe_Form' value='$row_BG[SKU]' readonly='readonly'//>
          </span></div></td><td width='5' bgcolor='$FonCi_Form'>&nbsp;</td>
          <td width='101' bgcolor='$FonCi_Form'><div align='left' class='Clase_TipoLetra'>&nbsp;&nbsp;Descripci&oacute;n:</div></td>
          <td width='300' bgcolor='$FonCi_Form'><div align='left'><span class='Clase_TipoLetra'>
            <input name='txt_Desc' type='text' required='required' class='textoINPUT' id='txt_Desc' size='36' style='background-color:$CamDe_Form' value='$row_BG[DESCRIPCION]' readonly='readonly'//>
          </span></div></td>
        </tr>
        <tr>
          <td bgcolor='$FonCi_Form'><div align='left' class='Clase_TipoLetra'>&nbsp;&nbsp;Edici&oacute;n:</div></td>
          <td bgcolor='$FonCi_Form' COLSPAN='5'><div align='left'>
            <input name='txt_CADU' type='text' required='required' class='textoINPUT' id='txt_CADU'  style='background-color:$CamDe_Form' value='$row_BG[EDICION]' readonly='readonly' />
          </div></td>
        </tr>";
		if($i==0){
			echo "<tr>
		<td width='5' bgcolor='$FonCi_Form'><div align='left' class='Clase_TipoLetra'>&nbsp;&nbsp;Total:</div></td>
          <td bgcolor='$FonCi_Form'><div align='left'><span class='Clase_TipoLetra'>
            <input name='total' type='text' class='textoINPUT' id='txt_CXCon' style='background-color:$CamDe_Form' value='$row_BG[CANXMAQUILAR]' readonly='readonly'/><td COLSPAN='3' bgcolor='$FonCi_Form'>
			</tr>";
			}else{echo "<input name='total' type='hidden' value='$row_BG[CANXMAQUILAR]'>";}
		echo "<tr>
          <td bgcolor='$FonCi_Form'><div align='left' class='Clase_TipoLetra'>&nbsp;&nbsp;Cantidad unitaria:</div></td>
          <td bgcolor='$FonCi_Form'><div align='left'><span class='Clase_TipoLetra'>
            <input name='cantidad' type='text' class='textoINPUT' id='txt_CXCon' style='background-color:$CamDe_Form' value='".($row_BG['CANXMAQUILAR']/$alta)."' readonly='readonly'/><td COLSPAN='3' bgcolor='$FonCi_Form'>
			</tr>
			<tr>
			<td bgcolor='$FonCi_Form'><div align='left' class='Clase_TipoLetra'>&nbsp;&nbsp;Inventario:</div></td>
          <td bgcolor='$FonCi_Form'><div align='left'><span class='Clase_TipoLetra'>
            <input name='inventario$i' type='text' class='textoINPUT' id='inven$i' style='background-color:$CamDe_Form' value='".($row_BG['CANXMAQUILAR'])."' readonly='readonly'/></td>
          </span></div></td>
          <td bgcolor='$FonCi_Form'>&nbsp;</td><td bgcolor='$FonCi_Form'><div align='left'></div></td><td bgcolor='$FonCi_Form'><div align='left'>
          <font class='Clase_TipoLetra'></font>";
		  if($i==0){echo "<input type='hidden' id='maqmax' name='maqmax' value='$row_BG[CANXMAQUILAR]'><input id='confirmados' name='confirmados' type='number' min='0' max='$row_BG[CANXMAQUILAR]' value='$row_BG[CANXMAQUILAR]' onchange='simul()' onclick='simul()' onkeyup='simul()'  onmouseup='simul()' onkeypress='simul()'><input type='button' value='Confirmar' id='confirmar'>";}
		  //simulación de pallets
		  if($i!=0){
		  //echo "<tr><td bgcolor='$FonCi_Form' COLSPAN='1' ROWSPAN='1'><div align='left' class='Clase_TipoLetra'>&nbsp;&nbsp;Pallets:<td bgcolor='$FonCi_Form' COLSPAN='4' ROWSPAN='1'><div align='left' class='Clase_TipoLetra'><input style='visibility:hidden' name='SUBTOTAL$i' type='text' class='textoINPUT' id='SUBTOTAL$i' style='background-color:$CamDe_Form' value='' readonly='readonly'/></td></div></td><tr><DIV ID='PALLETS$i'></td><td bgcolor='$FonCi_Form'><span class='Clase_TipoLetra'>";
		  echo "<tr><DIV ID='PALLETS$i'>";
			mysql_select_db("wms_ibermex", $con_BDInt);
			$pall = mysql_query("SELECT * FROM tabla_inventario where sku='$row_BG[SKU]' AND CVE_CUENTA='$CveCueCR1' AND CANTIDAD>0 order by FECHA_ENTRADA ASC");
			$exist = mysql_query("SELECT * FROM tabla_altaproducto where sku='$row_BG[SKU]' AND CUENTA='$CveCueCR1'");
			if(mysql_numrows($pall)==0 or mysql_numrows($exist)==0){
			if(mysql_numrows($exist)==0){$mot='1';$mserr="El código SKU $row_BG[SKU] no está registrado";}else{$mot='2';$mserr="No se encontro ningún registro de inventario para el código SKU $row_BG[SKU]";}
			echo "<script>if(confirm('$mserr, ¿desea confirmar la maquila con 0 piezas?.')){
			window.location.href='122-ProcesaMaquila3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn&MAQUILA0=OK&ALBC=$AlbOrdEn&MOT=$mot&CODERR=$row_BG[SKU]';}</script>";}
		  $TOP = $row_BG['CANXMAQUILAR']*-1;
		  $RES=0;
		  $PLLET='';
		  $W =0;
		  while($pl = mysql_fetch_array($pall)){
		  if($RES<$TOP){
		  $PLLET=$pl['NO_PALLET'];
		  $PARCIAL=0;
		  if(($RES+$pl['CANTIDAD'])>$TOP){$PARCIAL=$TOP-$RES;$RES+=$PARCIAL;}ELSE{$PARCIAL=$pl['CANTIDAD'];$RES+=$PARCIAL;}}ELSE{$PLLET='';$PARCIAL=0;}
		  echo "<tr><td bgcolor='$FonCi_Form'><div align='left' class='Clase_TipoLetra'>&nbsp;&nbsp;Pallet ".($W+1).":</div></td>
          <td bgcolor='$FonCi_Form'><div align='left'><span class='Clase_TipoLetra'>
		  
		  <input name='PPS$i"."x"."$W' id='PPS$i"."x"."$W' type='text' readonly='readonly' class='textoINPUT' id='npall$i"."x"."$W' style='background-color:$CamDe_Form' value='$PLLET' size='20'/></span><input type='button' style='WIDTH: 27px; HEIGHT: 20px;text-align:center; font-weight: bold;' value='...' name='...x' onclick=\"javascript:otra_ventana('122-POPUP.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&SKU=$row_BG[SKU]&CAMPO=PPS$i"."x"."$W&CONTAINER=PALLETS$i');\"/>
		  <input name='CANTPPS$i"."x"."$W' id='CANTPPS$i"."x"."$W' type='number' style='width:6em;' class='textoINPUT' max='$pl[CANTIDAD]' min='0' value='$PARCIAL'/>
		  <input name='MAXPPS$i"."x"."$W' id='MAXPPS$i"."x"."$W' type='hidden' value='$pl[CANTIDAD]'/>
		  </td></span></div></td>
          <td bgcolor='$FonCi_Form'>&nbsp;</td><td bgcolor='$FonCi_Form'><div align='left'></div></td><td bgcolor='$FonCi_Form'><div align='left'>
          <font class='Clase_TipoLetra'></font></div></td></tr>";
		  $W++;
		}}
		  echo "</div></td></tr></td></tr><tr><td colspan='5' bgcolor='$FonCi_Form'>.</td></tr>";
		  $i++;
		}
		mysql_select_db("wms_interfaces_ibermex", $con_BDInt);
		?>
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonCi_Form; ?>"><input name="UsuKP" / type="text" id="UsuKP"  style='visibility:hidden' value="<?PHP echo $UsuEn; ?>" size="3" />
            <input name="TokenKP" / type="text" id="TokenKP"  style='visibility:hidden' value="<?PHP echo $TokEn; ?>" size="3" />
            <input name="IdDAcce" / type="text" id="IdDAcce"  style='visibility:hidden' value="<?PHP echo $IDSeEn; ?>" size="3" />
            <input name="CtaSKP" / type="text" id="CtaSKP"  style='visibility:hidden'   value="<?PHP echo $CtaSesionEn; ?>" size="3" />
            <input name="VPN" / type="text" id="VPN"  style='visibility:hidden' value="<?PHP echo $VpnEn; ?>" size="3" />
            <input name="LT" / type="text" id="LT"  style='visibility:hidden' value="<?PHP echo $LtEn; ?>" size="3" />
          <input name="txt_OrdKPD" / type="text" id="txt_DocuKPD"  style='visibility:hidden' value="<?PHP echo $AlbOrdEn; ?>" size="3" />
          <i	nput name="txt_IdBDkp" / type="text" id="txt_IdBDkp"  style='visibility:hidden' value="<?PHP echo $Id_DL2; ?>" size="3" /></td>
        </tr>
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonSe_Form; ?>">.</td>
        </tr>
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="center">
          <?PHP if ($ValidaTerminacion<>"OK")
				{
		  ?>
          <input type="submit" name="button" class="button" id="button" value="Aplicar" style="height:25px; width:80px"/>&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="button" style="height:25px; width:80px" value="Cancelar" onClick=" window.location.href='<?PHP echo"122-ProcesaMaquila.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn";?>' ">&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="button" style="height:25px; width:80px" value="Modificar" onClick=" window.location.href='<?PHP echo"122-ProcesaMaquila.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn&CveOrden=$AlbOrdEn";?>' ">&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="button" style="height:25px; width:90px" value="Conteo General" onClick=" window.location.href='<?PHP echo"34-ReciboGeneralDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn&txt_DocuKPD=$NoDocComEn";?>' ">&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="button" style="height:25px; width:80px" value="Impresión" onclick="window.open(' <?PHP echo "ToPDF/Reportes/PDF_OrdenMaquila.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn&CveOrden=$AlbOrdEn"; ?>','_blank');">
          <?PHP 
				}
				
				else
				{
		  ?>			
<input type="button" class="button" style="height:25px; width:80px" value="Cancelar" onClick=" window.location.href='<?PHP echo"122-ProcesaMaquila.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn";?>' ">&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="button" style="height:25px; width:80px" value="Modificar" onClick=" window.location.href='<?PHP echo"122-ProcesaMaquila.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn&CveOrden=$AlbOrdEn";?>' ">&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="button" style="height:25px; width:80px" value="Cerrar Orden" onclick="confirmarRegistro();" />
		  <?PHP 
				}

		  ?>
          </div></td>
        </tr>
        <tr>
          <td height="20" colspan="5" align="right" bgcolor="<?PHP echo $FonTi_Form; ?>">.</td>
        </tr>
      </table>
  </form>
</div>

<Br><Br>
<div align="center">
  <?PHP
  ////Quitar los Warning de la ventana
  error_reporting (5);
		//////Muestra Clientes Registrados
		
			$Cve_Reporte = "CREP201506100031";
			/////////Identificar configuracion: Paginación x Reporte
			$sqlC2 = mysql_query("select * from wms_configura_paginacionesxreporte where CVE_REPORTE='$Cve_Reporte' LIMIT 0 , 300");
			if (mysql_numrows($sqlC2)==0) echo "";
			else{
			$registroC2=mysql_fetch_array($sqlC2);
			}
			if (mysql_numrows($sqlC2)>0)
			{
			$LomitC2=$registroC2["LIMITE_REGISTROS_SQL"];
			}
		
			///Identificar Paginación
				$DetPagSel=$_POST['Checked'] or $DetPagSel=$_GET['Checked'];
		
				////if ($DetPagSel=="NO")
				if ($DetPagSel<>"NO")
					{
						require_once("Paginaciones/PHPPaging_10000Reg.lib.php");
						$ValChecked ="SI";						
					}
					else
					{
						require_once("Paginaciones/PHPPaging_50Reg.lib.php");
						$VisEstInput = "checked='checked'"; 
						$ValChecked ="NO";
					}
		
		echo("<table cellspacing='0' border='1' style='color:$CFTi_Tabl;background-color:$Fond_Tabl;border-style:None; bordercolor=:$Bord_Tabl; font-family:$FTit_Tabl;font-size:$TTit_Tabl;height:200 px;width:90%;border-collapse:collapse' rules='all'>");
		echo("<tr>");
	    echo("<td height='3' colspan='3' style='color:White;font-family:Verdana' align='left'>&nbsp;&nbsp;Detalle de Orden</td>");
		echo("<td height='3' colspan='11' style='color:White;font-family:Verdana' align='right'>Límite 300 | Paginación&nbsp;"); ?> <input disabled="disabled" type=checkbox <?PHP echo $VisEstInput; ?> onClick=" window.location.href='<?PHP echo"#.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Checked=$Val";?>' "> <?PHP echo("&nbsp;</td>");
	    echo("</tr>");
		echo("<tr>");
	    echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Id</td>");
		echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>CveBodega</td>");
   		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>CveCuenta</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>CvePublicación</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>CveEdición</td>");
	    echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Sku</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>SkuAlt</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Edición</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Descripción</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>EstatusLinea</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Cant.x.Maquilar</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Cant.Maquilada</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Ej.Dañados</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Usuario</td>");
	    echo("</tr>");
		
		$ConteoWH = "0"; 
		
		$sql_BG = "SELECT CVE_BODEGA,CVE_CUENTA,KPUBLICACION,EDICION,SKU,SKU_ALT,DESCRIPCION,EDICION,CANXMAQUILAR,CANMAQUILADA,EJMALESTADO,ESTADO_LINEA,USUARIO FROM confirma_maquila WHERE CVE_CUENTA='$CveCueCR1' AND KALB_C='$AlbOrdEn' AND ESTADO_LINEA='POR PROCESAR' ORDER BY CANXMAQUILAR DESC";
		$res_BG=mysql_query($sql_BG) or die('Error en la consulta: '.mysql_error());
		While($row_BG = mysql_fetch_array($res_BG,MYSQL_ASSOC))
		{
			$ConteoWH = $ConteoWH + 1;
			$Bod_BG=$row_BG["CVE_BODEGA"];
			$Cue_BG=$row_BG["CVE_CUENTA"];
			$kPu_BG=$row_BG["KPUBLICACION"];
			$kEd_BG=$row_BG["EDICION"];
			$Sku_BG=$row_BG["SKU"];
			$SAl_BG=$row_BG["SKU_ALT"];
			$Des_BG=$row_BG["DESCRIPCION"];
			$Edi_BG=$row_BG["EDICION"];
			$CxC_BG=$row_BG["CANXMAQUILAR"];
			$CCo_BG=$row_BG["CANMAQUILADA"];
			$Mal_BG=$row_BG["EJMALESTADO"];
			$ELi_BG=$row_BG["ESTADO_LINEA"];
			$Usu_BG=$row_BG["USUARIO"];
			
			if($ConteoWH%2==0) 
				{ 
				$BgFondoFinal = $BgF1_Tabl; ///Color Primario
				} 
				else
				{
				$BgFondoFinal= $BgF2_Tabl; ///Color Secundario
				}

		
		echo("<tr>");
		echo("<td height='16' style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal'>$ConteoWH</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$Bod_BG</td>");
	    echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$Cue_BG - $CtaSesionEn</td>");
    	echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$kPu_BG</td>");
	    echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$kEd_BG</td>");
    	echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$Sku_BG</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$SAl_BG</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$Edi_BG</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$Des_BG</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$ELi_BG</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$CxC_BG</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$CCo_BG</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$Mal_BG</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$Usu_BG</td>");
		echo("</tr>");
			}
		echo("<tr>");	
		echo("<td height='16' colspan='2' style='font-size:10px;font-family:Verdana'>Registros: $ConteoWH</td>");
	    echo("<td colspan='12' align='center'>&nbsp;</td>");
		echo("</tr>");
		echo("</table>");
		echo("</div>");
		?>
</div>
<Br><Br><Br><Br>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<script type="text/javascript">
function confirmarRegistro()
{		
   if (window.confirm("¿Realmente deseas cerrar la Orden de Conteo: <?PHP echo $AlbOrdEn; ?>?") == true)
      {
		 window.location.href = "122-cieremaq.php?UsuKP=<?PHP echo $UsuEn; ?>&IdDAcce=<?PHP echo $IDSeEn; ?>&TokenKP=<?PHP echo $TokEn; ?>&CtaSKP=<?PHP echo $CtaSesionEn; ?>&VPN=<?PHP echo $VpnEn; ?>&LT=<?PHP echo $LtEn; ?>&CveOrden=<?PHP echo $AlbOrdEn; ?>";
}}
</script>
<script>
		document.getElementById('confirmar').onclick = function(){
		$confirm =document.getElementById('confirmados').value;
		$maqmax = document.getElementById('maqmax').value;
		var names = $('div[ID^=PALLETS]');
		//alert(names.length + ' Iteraciones ');
		for($i=0; $i< names.length; $i++){
		//alert('itera ' + $i);
		try{
		var palets = $('input[NAME^=CANTPPS'+($i+1)+']');
		var skus = $('input[ID^=skuprod'+($i+1)+']');
		//alert('pallet ' + palets[0].value);
		var subtotal = $('input[ID^=inven'+($i+1)+']');
		var subtot=subtotal[0].value * -1;
		var subtotverif=0;
		//alert('subtotal: ' + subtot + ', palets: ' + palets.length);
		for($z=0; $z< palets.length; $z++){
		//<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<IF OVER MAX
		var maxxpal = $('input[ID^=MAXPPS'+($i+1)+'x'+($z)+']');
		var npal = $('input[ID^=PPS'+($i+1)+'x'+($z)+']');
		if ( parseInt(palets[$z].value)> parseInt(maxxpal[0].value) ){
			alert('La cantidad de piezas asignadas ('+palets[$z].value+') al pallet '+npal[0].value+' rebasan el límite de existencias ('+maxxpal[0].value+').');
			return false;
			}
		//alert(palets[$z].getAttribute('NAME')+ ' , ' + palets[$z].value);
		subtotverif = parseInt(subtotverif)+ parseInt(palets[$z].value);
		}
		if (parseInt(subtot) != parseInt(subtotverif)){alert('La cantidad de piezas solicitadas ('+subtot+') del sku \''+skus[0].value+'\' no coincide con el total seleccionado (' + subtotverif + '), favor de corroborarlo.');return false;}
		//else{alert('coinciden ' +subtot+' con '+ subtotverif)}
		}catch(err){alert('Ocurrió un error: ' + err.message);}
		}
			if(parseInt($confirm) > parseInt($maqmax)){alert('La cantidad confirmada debe ser menor o igual a ' + $maqmax + '.');}
			else{
			if($confirm<0){alert('Cantidad inválida.');}
				else{
				var tipo = document.getElementById('tipo').value;
						if(confirm("¿Realmente desea confirmar '"+$confirm+"' "+ tipo +"?")){
							document.getElementById("formulario").submit();
						}
					}
				}
			}
		function simul(){
			var x = document.getElementsByName("cantidad");
			var w = document.getElementsByName("total");
			var inv = $('input[NAME^=inventario]');
			var $confirmados = document.getElementById("confirmados").value;
			var i;
			for (i = 0; i < x.length; i++) {
					inv[i].value = $confirmados * x[i].value;
			}}		
		</script>
		
<?PHP
}//// Termina If Valiador de Estado de Documento
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>